Document:
  description: A document ingested into SalesforceDevops.net
  properties:
    ID:
      description: Record Id
      type: string
    AccessControlList:
      description: Who can access this document?
      type: string
      x-nullable: true
    Author:
      description: The author of the document
      type: string
      x-nullable: true
    CreatedByID:
      description: Created By
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    DocumentDate:
      description: The date of the document
      type: string
      x-nullable: true
    FolderID:
      description: The ID of the folder in which this document is stored
      type: string
      x-nullable: true
    ImageAltText:
      description: Alt text for the image
      type: string
      x-nullable: true
    ImageURL:
      description: Cover image for this document
      type: string
      x-nullable: true
    LastModifiedByID:
      description: Last Modified By
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modifed Date
      type: string
      x-nullable: true
    Language:
      description: The language of the document
      type: string
      x-nullable: true
    Logo:
      description: Logo for this document
      type: string
      x-nullable: true
    ObjectID:
      description: The ID of the object who owns this document
      type: string
      x-nullable: true
    ObjectType:
      description: The type of object who owns this document
      type: string
      x-nullable: true
    Source:
      description: Where did the document come from?
      type: string
      x-nullable: true
    Status:
      description: Ingestion status of this document
      type: string
      x-nullable: true
    TenantID:
      type: string
      x-nullable: true
    Title:
      description: Document Title
      type: string
      x-nullable: true
    URL:
      description: Source URL for document ingestion
      type: string
      x-nullable: true
    UserID:
      description: The ID of the user who owns this document
      type: string
      x-nullable: true
    Version:
      description: Version of the document
      type: string
      x-nullable: true
  type: object
